# List end users (/data-api/api-reference/v1/list-end-users)

List end users

## GET /end-users

**List end users**

List end users belonging to a client.

**Tags:** end-users, v3

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `email` | query | string | No | Email address to filter end users by. |
| `page[before]` | query | string | No | When page[before] is specified, backwards pagination is achieved. |
| `page[after]` | query | string | No | When page[after] is specified, forwards pagination is achieved. |
| `page[size]` | query | integer | No | When page[size] is specified, no more than page[size] resources will be included in the response. It is capped at 1000. |

### Responses

**200:** OK

| Field | Type | Description |
|-------|------|-------------|
| `end_users` | server.EnduserResponse[] | A list of end users belonging to the client. |
| `links` | object | Links to be used for pagination. |

**400:** Bad Request

| Field | Type | Description |
|-------|------|-------------|
| `id` | string | Unique identifier for this error. |
| `message` | string | Details about the error that occurred. |
| `name` | string | The name of the error. |

**500:** Internal Server Error

| Field | Type | Description |
|-------|------|-------------|
| `id` | string | Unique identifier for this error. |
| `message` | string | Details about the error that occurred. |
| `name` | string | The name of the error. |

### Example Request
```bash
curl -X GET "https://api.fiskil.com/end-users" \
  -H "Authorization: Bearer YOUR_TOKEN"
```